Package Details: espeak-test 1.48.15-1

Git Clone URL: (read-only)
Package Base: espeak-test
Description: Text to Speech engine for good quality English, with support for other languages: latest test version
Upstream URL:
Licenses: GPL
Conflicts: espeak
Provides: espeak
Submitter: kyle
Maintainer: kyle
Last Packager: kyle
Votes: 1
Popularity: 0.000000
First Submitted: 2011-03-06 23:55
Last Updated: 2015-07-29 00:19

Required by (34)

Sources (1)

Latest Comments

kyle commented on 2013-05-01 19:35

Woe talk about a moving target. I had to patch this one, because espeak-data has been changed to espeak_data in the source tree, but the Makefile was trying to copy files from espeak-data. Note the dash vs the underscore. Well, Anyway, be sure to restart speech-dispatcher and/or espeakup once you upgrade this package. Vowel pronunciations will be a bit broken until packages that use eSpeak are restarted.

kyle commented on 2013-03-26 17:02

Fixed. This package certainly is a moving target, and development has been quite active of late. Still expect some 404 errors, but I'll be checking this package once or twice a day to be sure it has the latest version.

Anntoin commented on 2013-03-26 11:50

Current version gives a 404, upstream is now at 1.47.03c

kyle commented on 2013-03-25 17:18

Due to changes in the directory structure of espeak-data, upgrades to espeak-test now require user intervention as of version 1.47.03b. Best I can figure, there is a bug in pacman that will not allow a directory in package A to be replaced with a file in package B, even though package B conflicts with package A. Therefore, upgrades from espeak to espeak-test produce a file conflict error involving /usr/share/espeak-data/voices/en, which is a directory in espeak, but is now a file in espeak-test. The best way around this is to manually remove /usr/share/espeak-data before upgrading either from espeak or a version of espeak-test prior to 1.47.03b. If anyone has a suggestion for fixing this in packaging so that user intervention is no longer needed, please add a comment here. Thanks.

kyle commented on 2011-09-08 21:07

I just got the Portaudio upgrade, so I decided to try building this package again. It works, so I will continue maintaining it here. It is once again possible to test the latest development versions of eSpeak via the AUR.

kyle commented on 2011-07-09 16:42

This package is currently out of date. Apparently in the latest build, Portaudio can no longer be found on the system, even though it exists. I'm working on the problem, and hope to get it corrected soon.